#include "Room.h"

Room::Room( const QString &aName, const QString &aAddress )
{
	this->iName = aName;
	this->iAddress = aAddress;
}

Room::~Room()
{
}

QString Room::address() const
{
	return iAddress;
}

QString Room::name() const
{
	return iName;
}

bool Room::equals( const Room &aOther ) const
{
	if ( iName == aOther.iName
		  && iAddress == aOther.iAddress )
	{
		return true;
	}
	return false;
}

QString Room::toString() const
{
	QString roomToString = QString( "[Room: name:%1 address:%2 ]" )
				     .arg( iName )
				     .arg( iAddress );

	return roomToString;
}

bool Room::caseInsensitiveLessThan( const Room *aRoom1, const Room *aRoom2 )
{
	return aRoom1->iName.toLower() < aRoom2->iName.toLower();
}
